## org.apache.batik.extension.svg
Class HistogramRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.extension.svg.HistogramRed

All Implemented Interfaces:
  java.awt.image.RenderedImage, CachableRed

    public class HistogramRed

extends AbstractRed

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`HistogramRed(CachableRed src)`

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`
`int[]` `getHistogram()`
`java.awt.image.Raster` `getTile(int tileX, int tileY)`
`void` `tallyTile(java.awt.image.Raster r)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistogramRed

    public HistogramRed(CachableRed src)

Method Detail

### tallyTile

    public void tallyTile(java.awt.image.Raster r)

### getHistogram

    public int[] getHistogram()

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

### getTile

    public java.awt.image.Raster getTile(int tileX,
                                         int tileY)

  Specified by:
    `getTile` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.